////////////////////////////////////////////////////////////////////////////
// Swavet.h : main header file for SWAVET.DLL
// See Swavet.cxx for implementation.
// See Swavet.ssc for implementation of the corresponding S function.
//
// SWAVET_DLL_API assists exporting/importing functions defined in SWAVET.DLL.
// It is for exporting if this header file is included in the source file (.c/.cxx) 
// that defines these functions, else importing.
//
// Symbols are exported if SP_CHAPTER_SWAVET is defined, else imported.
// SP_CHAPTER_SWAVET is automatically defined by the SPLUS Chapter Wizard. 
// Look at the setting..., C/C++ tap. 
////////////////////////////////////////////////////////////////////////////

#if !defined(S_SWAVET_INCLUDED_)
#define S_SWAVET_INCLUDED_

#undef SWAVET_DLL_API
#if defined(WIN32) && defined(SP_CHAPTER_SWAVET)
	#define SWAVET_DLL_API(returnType) __declspec(dllexport) returnType __stdcall
#elif defined(WIN32)
	#define SWAVET_DLL_API(returnType) __declspec(dllimport) returnType __stdcall
#else
	#define SWAVET_DLL_API(returnType) extern returnType
#endif

#ifdef __cplusplus
extern "C" {
#endif

SWAVET_DLL_API(void) SwavetC(double*, double*, long* ); 
SWAVET_DLL_API(s_object*) SwavetCall(s_object* ); 
SWAVET_DLL_API(s_object*) SwavetCall2(s_object* ); 

#ifdef __cplusplus
}
#endif

#endif //S_SWAVET_INCLUDED_
